package org.ballerinalang.mime.generated.providers;

import org.ballerinalang.annotation.JavaSPIService;
import org.ballerinalang.model.types.TypeKind;
import org.ballerinalang.natives.NativeElementRepository;
import org.ballerinalang.natives.NativeElementRepository.NativeActionDef;
import org.ballerinalang.natives.NativeElementRepository.NativeFunctionDef;
import org.ballerinalang.spi.NativeElementProvider;

@JavaSPIService ("org.ballerinalang.spi.NativeElementProvider")
public class StandardNativeElementProvider implements NativeElementProvider {

	@Override
	public void populateNatives(NativeElementRepository repo) {
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.setBlob", new TypeKind[] { TypeKind.BLOB, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.mime.nativeimpl.SetBlob"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "base64Encode", new TypeKind[] { TypeKind.UNION, TypeKind.STRING }, new TypeKind[] { TypeKind.UNION }, "org.ballerinalang.mime.nativeimpl.mimebase64.Base64Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "base64Decode", new TypeKind[] { TypeKind.UNION, TypeKind.STRING }, new TypeKind[] { TypeKind.UNION }, "org.ballerinalang.mime.nativeimpl.mimebase64.Base64Decode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getBodyPartsAsChannel", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetBodyPartsAsChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.removeHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.VOID }, "org.ballerinalang.mime.nativeimpl.headers.RemoveHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.addHeader", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.VOID }, "org.ballerinalang.mime.nativeimpl.headers.AddHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.hasHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.mime.nativeimpl.headers.HasHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.mime.nativeimpl.headers.GetHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getHeaders", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.mime.nativeimpl.headers.GetHeaders"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getHeaderNames", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.mime.nativeimpl.headers.GetHeaderNames"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.removeAllHeaders", new TypeKind[] {  }, new TypeKind[] { TypeKind.VOID }, "org.ballerinalang.mime.nativeimpl.headers.RemoveAllHeaders"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.setHeader", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] { TypeKind.VOID }, "org.ballerinalang.mime.nativeimpl.headers.SetHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getXml", new TypeKind[] {  }, new TypeKind[] { TypeKind.XML, TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetXml"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "ContentDisposition.toString", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.mime.nativeimpl.contentdisposition.ToString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "getContentDispositionObject", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.contentdisposition.GetContentDispositionObject"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "getMediaType", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetMediaType"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getByteChannel", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetByteChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.setText", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.mime.nativeimpl.SetText"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.setByteChannel", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.mime.nativeimpl.SetByteChannel"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getText", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetText"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.setXml", new TypeKind[] { TypeKind.XML, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.mime.nativeimpl.SetXml"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getBodyAsString", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetBodyAsString"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.setBodyParts", new TypeKind[] { TypeKind.ARRAY, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.mime.nativeimpl.SetBodyParts"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getBodyParts", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY, TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetBodyParts"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getBlob", new TypeKind[] {  }, new TypeKind[] { TypeKind.BLOB, TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetBlob"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.setJson", new TypeKind[] { TypeKind.JSON, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.mime.nativeimpl.SetJson"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "mime", "Entity.getJson", new TypeKind[] {  }, new TypeKind[] { TypeKind.JSON, TypeKind.STRUCT }, "org.ballerinalang.mime.nativeimpl.GetJson"));
	}

}
